//**************************************************************************//
//* FRIDA: fast reliable interactive data analysis                         *//
//* (C) Joachim Wuttke 1990-, v2(C++) 2001-                                *//
//* http://frida.sourceforge.net                                           *//
//* yamc.h                                                                 *//
//* read YAML data files, using libyaml                                    *//
//**************************************************************************//

#include "../yaml/include/yaml.h"

class CYamlRead {
 public:
    yaml_parser_t parser;
    yaml_event_t  event;
    string last_valid;
    CYamlRead( FILE *F_in );
    ~CYamlRead();
    void next();
    void done();
    void checktype( int type, string errmsg );
    void checkvalue( string value );
    void skipvalues( int repet );
    bool scalar_from_seq( string seqname, string *ret );
    bool pair_from_map( string mapname, string *key, string *val );
    string getscalar( string scalarname );
    bool getCoord( string label, CCoord *co );
};   
